### Property

# Clutter AlignConstraint:pivot-point

#### Declaration

    property pivot-point: Graphene.Point [ read, write ]

#### Description [src]

The pivot point used by the constraint. The pivot point is the point in the constraint actor around which the aligning is applied, with (0, 0) being the top left corner of the actor and (1, 1) the bottom right corner of the actor.

For example, setting the pivot point to (0.5, 0.5) and using a factor of 1 for both axes will align the actors horizontal and vertical center point with the bottom right corner of the source actor.

By default, the pivot point is set to (-1, -1), which means it’s not used and the constrained actor will be aligned to always stay inside the source actor.

Type:`graphene_point_t`

Getter method | `clutter_align_constraint_get_pivot_point()`
Setter method | `clutter_align_constraint_set_pivot_point()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no